<app-navbar></app-navbar>
<div class="grid grid-cols-2">
  <div class="flex justify-center items-center">
    <div class="font-rubik">
      <h1 class="font-bold text-5xl">
        READ AND ADD <br />
        YOUR INSIGHT
      </h1>
      <p class="mt-4 text-2xl">
        Find Your Favorite Book And Read It Here For Free
      </p>
    </div>
  </div>
  <img src="../../../assets/homepage/Hero.svg" alt="" />
</div>
<div class="bg-gray-200 flex justify-center font-rubik">
  <div class="bg-gray-100 p-14 mt-14 shadow-2xl rounded-lg mb-14">
    <h1 class="font-semibold text-2xl flex justify-center items-center mb-6">
      All Genres
    </h1>
    <div class="grid grid-cols-2 gap-20">
      <div
        *ngFor="let book of books"
        class="bg-white w-[450px] h-52 flex rounded-r-2xl"
      >
        <img [src]="book.bookImage" alt="" />
        <div class="px-6 py-2">
          <h1 class="line-clamp-1 font-semibold text-3xl">{{ book.title }}</h1>
          <h3 class="text-xl text-secound-primary">{{ book.author }}</h3>
          <p class="line-clamp-3 text-gray-500">{{ book.description }}</p>
          <div class="flex justify-center items-center gap-2 m-3">
            <button
              class="border-solid border-secound-primary text-secound-primary border-2 rounded-xl px-3"
              (click)="bookContent(book.id)"
            >
              View
            </button>
            <button
              onclick="my_modal_1.showModal()"
              (click)="editBook(book)"
              class="border-solid border-blue-500 text-blue-500 border-2 rounded-xl px-3"
            >
              Edit
            </button>
            <button
              class="border-solid border-red-500 text-red-500 border-2 rounded-xl px-3"
              (click)="deleteBook(book)"
            >
              Delete
            </button>
          </div>
        </div>
      </div>
    </div>
  </div>
</div>

<div class="h-20 w-full flex justify-center items-center bg-primaryy">
  <p class="font-rubik text-white font-light">
    Copyright 2023 MY<b>BOOK</b> &nbsp; | &nbsp; TITH OUDDOM
  </p>
</div>

<dialog id="my_modal_1" class="modal">
  <form method="dialog" class="modal-box" [formGroup]="formEdit" (ngSubmit)="edit()">
    <div class="relative">
      <span>Title</span>
      <input
        type="text"
        id="email-address-icon"
        class="bg-gray-50 border py-2 border-gray-300 text-gray-900 text-sm rounded-lg focus:ring-blue-500 focus:border-blue-500 block w-full pl-5 p-2.5 dark:bg-gray-700 dark:border-gray-600 dark:placeholder-gray-400 dark:text-white dark:focus:ring-blue-500 dark:focus:border-blue-500"
        placeholder="Title"
        formControlName="title"
      />
    </div>
    <div class="relative py-4">
      <span>Author</span>
      <input
        type="text"
        id="email-address-icon"
        class="bg-gray-50 border py-2 border-gray-300 text-gray-900 text-sm rounded-lg focus:ring-blue-500 focus:border-blue-500 block w-full pl-5 p-2.5 dark:bg-gray-700 dark:border-gray-600 dark:placeholder-gray-400 dark:text-white dark:focus:ring-blue-500 dark:focus:border-blue-500"
        placeholder="Auhtor"
        formControlName="author"
      />
    </div>
    <div class="relative">
      <span>Description</span>
      <input
        type="text"
        id="email-address-icon"
        class="bg-gray-50 border py-2 border-gray-300 text-gray-900 text-sm rounded-lg focus:ring-blue-500 focus:border-blue-500 block w-full pl-5 p-2.5 dark:bg-gray-700 dark:border-gray-600 dark:placeholder-gray-400 dark:text-white dark:focus:ring-blue-500 dark:focus:border-blue-500"
        placeholder="Description"
        formControlName="description"
      />
    </div>
    <div class="flex justify-center items-center gap-x-3 mt-4">
      <button
        class="inline-flex items-center justify-center leading-6 py-1 px-6 text-white bg-indigo-600 border border-transparent rounded-full md:w-auto hover:bg-indigo-500 focus:outline-none focus:ring-2 focus:ring-offset-2 focus:ring-indigo-600"
      >
        Cancel
      </button>
      <button
        class="inline-flex items-center justify-center leading-6 py-1 px-6 text-white bg-indigo-600 border border-transparent rounded-full md:w-auto hover:bg-indigo-500 focus:outline-none focus:ring-2 focus:ring-offset-2 focus:ring-indigo-600"
      >
        Update
      </button>
    </div>
  </form>
  <form method="dialog" class="modal-backdrop">
    <button>close</button>
  </form>
</dialog>
